Disable Atari partition support for cloud kernels

Bug #1908264 reported by Heitor Alves de Siqueira
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-aws (Ubuntu)
High
Heitor Alves de Siqueira
Xenial
Undecided
Heitor Alves de Siqueira
Bionic
Undecided
Heitor Alves de Siqueira
Focal
Undecided
Heitor Alves de Siqueira
Groovy
Undecided
Heitor Alves de Siqueira
Hirsute
High
Heitor Alves de Siqueira
linux-azure (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Medium
Marcelo Cerri
Groovy
Medium
Marcelo Cerri
Hirsute
Undecided
Unassigned
linux-azure-4.15 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Medium
Marcelo Cerri
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
linux-gcp (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
linux-gke (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
linux-gkeop (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
linux-oracle (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned

Bug Description

[Impact]
Atari partition tables have very broad specifications, and can spontaneously show up on uncleared disks with "garbage" data. There have been reports of misinterpreted AHDI partition tables before (see [0] and [1]), usually as an unintended side-effect of using non-zeroed disks. Users of this specific partition scheme are unlikely to be on AWS instances, so we should disable them.

[0] https://lore.<email address hidden>/
[1] https://mail-index.netbsd.org/port-atari/1995/11/19/0001.html

[Test Case]
Ensure that CONFIG_ATARI_PARTITION is not set in /boot/config-$(uname -r)

[Fix]
Unset CONFIG_ATARI_PARTITION in debian.aws/config/config.common.ubuntu

[Regression Potential]
There could be unexpected dependencies on Atari partitions that are impacted by this change. Considering Atari hardware hasn't been produced in a long time, and is unlikely to be used in AWS instances, the regression potential should be very low.

description: updated
Changed in linux-aws (Ubuntu Xenial):
status: New → Confirmed
Changed in linux-aws (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-aws (Ubuntu Focal):
status: New → Confirmed
Changed in linux-aws (Ubuntu Groovy):
status: New → Confirmed
Changed in linux-aws (Ubuntu Xenial):
assignee: nobody → Heitor Alves de Siqueira (halves)
Changed in linux-aws (Ubuntu Focal):
assignee: nobody → Heitor Alves de Siqueira (halves)
Changed in linux-aws (Ubuntu Bionic):
assignee: nobody → Heitor Alves de Siqueira (halves)
Changed in linux-aws (Ubuntu Focal):
status: Confirmed → In Progress
Changed in linux-aws (Ubuntu Hirsute):
assignee: nobody → Heitor Alves de Siqueira (halves)
status: Confirmed → In Progress
Changed in linux-aws (Ubuntu Groovy):
assignee: nobody → Heitor Alves de Siqueira (halves)
status: Confirmed → In Progress
Changed in linux-aws (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in linux-aws (Ubuntu Xenial):
status: Confirmed → In Progress
description: updated
Revision history for this message
Heitor Alves de Siqueira (halves) wrote :
Ian May (ian-may)
Changed in linux-aws (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Groovy):
status: In Progress → Fix Committed
Marcelo Cerri (mhcerri)
summary: - Disable Atari partition support for linux-aws
+ Disable Atari partition support for cloud kernels
Marcelo Cerri (mhcerri)
Changed in linux-azure (Ubuntu Xenial):
status: New → Invalid
Changed in linux-azure (Ubuntu Bionic):
status: New → Invalid
Changed in linux-azure (Ubuntu Focal):
status: New → In Progress
Marcelo Cerri (mhcerri)
Changed in linux-azure (Ubuntu Groovy):
status: New → In Progress
Changed in linux-azure (Ubuntu Hirsute):
status: New → Invalid
Changed in linux-azure-4.15 (Ubuntu Xenial):
status: New → Invalid
Changed in linux-azure-4.15 (Ubuntu Bionic):
status: New → In Progress
Changed in linux-azure-4.15 (Ubuntu Focal):
status: New → Invalid
Changed in linux-azure-4.15 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-azure-4.15 (Ubuntu Hirsute):
status: New → Invalid
Changed in linux-azure (Ubuntu Focal):
assignee: nobody → Marcelo Cerri (mhcerri)
Changed in linux-azure (Ubuntu Groovy):
assignee: nobody → Marcelo Cerri (mhcerri)
Changed in linux-azure-4.15 (Ubuntu Bionic):
assignee: nobody → Marcelo Cerri (mhcerri)
Revision history for this message
Marcelo Cerri (mhcerri) wrote :
Revision history for this message
Marcelo Cerri (mhcerri) wrote :
Stefan Bader (smb)
Changed in linux-azure (Ubuntu Focal):
importance: Undecided → Medium
Changed in linux-azure (Ubuntu Groovy):
importance: Undecided → Medium
Changed in linux-azure-4.15 (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux-azure (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux-azure (Ubuntu Groovy):
status: In Progress → Fix Committed
Changed in linux-azure-4.15 (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (7.0 KiB)

This bug was fixed in the package linux-aws - 4.15.0-1093.99

---------------
linux-aws (4.15.0-1093.99) bionic; urgency=medium

  * bionic/linux-aws: 4.15.0-1093.99 -proposed tracker (LP: #1911275)

  * aws: network performance regression due to initial TCP receive buffer size
    change (LP: #1910200)
    - tcp: select sane initial rcvq_space.space for big MSS

  * arm64: prevent losing page dirty state (LP: #1908503)
    - arm64: pgtable: Ensure dirty bit is preserved across pte_wrprotect()

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config] Disable Atari partition support

  * aws: xen-netfront: prevent potential error on hibernate (LP: #1906850)
    - SAUCE: xen-netfront: prevent unnecessary close on hibernate

  [ Ubuntu: 4.15.0-133.137 ]

  * bionic/linux: 4.15.0-133.137 -proposed tracker (LP: #1911295)
  * [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors
    config: (LP: #1908219)
    - qxl: remove qxl_io_log()
    - qxl: move qxl_send_monitors_config()
    - qxl: hook monitors_config updates into crtc, not encoder.
  * Touchpad not detected on ByteSpeed C15B laptop (LP: #1906128)
    - Input: i8042 - add ByteSpeed touchpad to noloop table
  * vmx_nm_test in ubuntu_kvm_unit_tests interrupted on X-oracle-4.15 /
    B-oracle-4.15 / X-KVM / B-KVM (LP: #1872401)
    - KVM: nVMX: Always reflect #NM VM-exits to L1
  * stack trace in kernel (LP: #1903596)
    - net: napi: remove useless stack trace
  * CVE-2020-27777
    - [Config]: Set CONFIG_PPC_RTAS_FILTER
  * Bionic update: upstream stable patchset 2020-12-04 (LP: #1906875)
    - regulator: defer probe when trying to get voltage from unresolved supply
    - ring-buffer: Fix recursion protection transitions between interrupt context
    - time: Prevent undefined behaviour in timespec64_to_ns()
    - nbd: don't update block size after device is started
    - btrfs: sysfs: init devices outside of the chunk_mutex
    - btrfs: reschedule when cloning lots of extents
    - genirq: Let GENERIC_IRQ_IPI select IRQ_DOMAIN_HIERARCHY
    - hv_balloon: disable warning when floor reached
    - net: xfrm: fix a race condition during allocing spi
    - perf tools: Add missing swap for ino_generation
    - ALSA: hda: prevent undefined shift in snd_hdac_ext_bus_get_link()
    - can: rx-offload: don't call kfree_skb() from IRQ context
    - can: dev: can_get_echo_skb(): prevent call to kfree_skb() in hard IRQ
      context
    - can: dev: __can_get_echo_skb(): fix real payload length return value for RTR
      frames
    - can: can_create_echo_skb(): fix echo skb generation: always use skb_clone()
    - can: peak_usb: add range checking in decode operations
    - can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
    - can: peak_canfd: pucan_handle_can_rx(): fix echo management when loopback is
      on
    - xfs: flush new eof page on truncate to avoid post-eof corruption
    - Btrfs: fix missing error return if writeback for extent buffer never started
    - ath9k_htc: Use appropriate rs_datalen type
    - usb: gadget: goku_udc: fix potential crashes in probe
    - gfs2: Free rd_bits later in gfs2_clear_rgrpd to fix use-after-free
  ...

Read more...

Changed in linux-aws (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 5.4.0-1037.39

---------------
linux-aws (5.4.0-1037.39) focal; urgency=medium

  * focal/linux-aws: 5.4.0-1037.39 -proposed tracker (LP: #1911314)

  * aws: network performance regression due to initial TCP receive buffer size
    change (LP: #1910200)
    - tcp: select sane initial rcvq_space.space for big MSS

  * Disable Atari partition support for linux-aws (LP: #1908264)
    - [Config] Disable Atari partition support

  * aws: xen-netfront: prevent potential error on hibernate (LP: #1906850)
    - SAUCE: xen-netfront: prevent unnecessary close on hibernate

  [ Ubuntu: 5.4.0-63.71 ]

  * focal/linux: 5.4.0-63.71 -proposed tracker (LP: #1911333)
  * overlay: permission regression in 5.4.0-51.56 due to patches related to
    CVE-2020-16120 (LP: #1900141)
    - ovl: do not fail because of O_NOATIME
  * Focal update: v5.4.79 upstream stable release (LP: #1907151)
    - net/mlx5: Use async EQ setup cleanup helpers for multiple EQs
    - net/mlx5: poll cmd EQ in case of command timeout
    - net/mlx5: Fix a race when moving command interface to events mode
    - net/mlx5: Add retry mechanism to the command entry index allocation
  * Kernel 5.4.0-56 Wi-Fi does not connect (LP: #1906770)
    - mt76: fix fix ampdu locking
  * [Ubuntu 21.04 FEAT] mpt3sas: Request to include the patch set which supports
    topology where zoning is enabled in expander (LP: #1899802)
    - scsi: mpt3sas: Define hba_port structure
    - scsi: mpt3sas: Allocate memory for hba_port objects
    - scsi: mpt3sas: Rearrange _scsih_mark_responding_sas_device()
    - scsi: mpt3sas: Update hba_port's sas_address & phy_mask
    - scsi: mpt3sas: Get device objects using sas_address & portID
    - scsi: mpt3sas: Rename transport_del_phy_from_an_existing_port()
    - scsi: mpt3sas: Get sas_device objects using device's rphy
    - scsi: mpt3sas: Update hba_port objects after host reset
    - scsi: mpt3sas: Set valid PhysicalPort in SMPPassThrough
    - scsi: mpt3sas: Handling HBA vSES device
    - scsi: mpt3sas: Add bypass_dirty_port_flag parameter
    - scsi: mpt3sas: Handle vSES vphy object during HBA reset
    - scsi: mpt3sas: Add module parameter multipath_on_hba
    - scsi: mpt3sas: Bump driver version to 35.101.00.00

  [ Ubuntu: 5.4.0-62.70 ]

  * focal/linux: 5.4.0-62.70 -proposed tracker (LP: #1911144)
  * CVE-2020-28374
    - SAUCE: target: fix XCOPY NAA identifier lookup
  * Packaging resync (LP: #1786013)
    - update dkms package versions

 -- Kelsey Skunberg <email address hidden> Wed, 13 Jan 2021 19:01:10 -0700

Changed in linux-aws (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (63.7 KiB)

This bug was fixed in the package linux-azure - 5.4.0-1040.42

---------------
linux-azure (5.4.0-1040.42) focal; urgency=medium

  * focal/linux-azure: 5.4.0-1040.42 -proposed tracker (LP: #1913138)

  * Focal update: v5.4.80 upstream stable release (LP: #1908561)
    - [Config] azure: updateconfigs for INFINIBAND_VIRT_DMA

  * Focal update: v5.4.84 upstream stable release (LP: #1910816)
    - [Config] azure: updateconfigs for PGTABLE_MAPPING

  * CIFS: Request for backport (LP: #1911438)
    - cifs: fix interrupted close commands
    - cifs: do not fail __smb_send_rqst if non-fatal signals are pending

  * Sync FSGSBASE patches in azure kernel with mainline (LP: #1913294)
    - x86/process/64: Make save_fsgs_for_kvm() ready for FSGSBASE
    - x86/entry/64: Do not use RDPID in paranoid entry to accomodate KVM

  * Revert or drop obsolete patches for PCI (LP: #1911205)
    - Revert "UBUNTU: SAUCE: pci-hyperv: Use only 16 bit integer for PCI domain"
    - Revert "Revert "PCI: hv: Make sure the bus domain is really unique""

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config] azure: Disable ATARI_PARTITION

  * Enable boot from NVMe device for all images (LP: #1908571)
    - [Config] azure: CONFIG_PCI_HYPERV=y

  [ Ubuntu: 5.4.0-66.74 ]

  * focal/linux: 5.4.0-66.74 -proposed tracker (LP: #1913152)
  * Add support for selective build of special drivers (LP: #1912789)
    - [Packaging] Add support for ODM drivers
    - [Packaging] Turn on ODM support for amd64
  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions
  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver
  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7
  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device
  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID
  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages
  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test
  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets
  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix
  * kvm: Windows 2k19 with Hyper-v role gets stuck on pending hypervisor
    requests on cascadelake based kvm hosts (LP: #1911848)
    - KVM:...

Changed in linux-azure (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (130.6 KiB)

This bug was fixed in the package linux-azure - 5.8.0-1023.25

---------------
linux-azure (5.8.0-1023.25) groovy; urgency=medium

  * groovy/linux-azure: 5.8.0-1023.25 -proposed tracker (LP: #1914792)

  * Groovy update: upstream stable patchset 2021-01-12 (LP: #1911235)
    - [Config] azure: update config for INFINIBAND_VIRT_DMA

  * Groovy update: upstream stable patchset 2021-01-13 (LP: #1911476)
    - [Config] azure: updateconfigs for ZSMALLOC_PGTABLE_MAPPING

  * Revert or drop obsolete patches for PCI (LP: #1911205)
    - Revert "UBUNTU: SAUCE: pci-hyperv: Use only 16 bit integer for PCI domain"
    - Revert "Revert "PCI: hv: Make sure the bus domain is really unique""

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config] azure: Disable ATARI_PARTITION

  * Enable boot from NVMe device for all images (LP: #1908571)
    - [Config] azure: CONFIG_PCI_HYPERV=y

  [ Ubuntu: 5.8.0-44.50 ]

  * groovy/linux: 5.8.0-44.50 -proposed tracker (LP: #1914805)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions
  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver
  * [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - Revert "UBUNTU: SAUCE: e1000e: bump up timeout to wait when ME un-configure
      ULP mode"
    - e1000e: Only run S0ix flows if shutdown succeeded
    - Revert "e1000e: disable s0ix entry and exit flows for ME systems"
    - e1000e: Export S0ix flags to ethtool
  * suspend only works once on ThinkPad X1 Carbon gen 7 (LP: #1865570) //
    [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - e1000e: bump up timeout to wait when ME un-configures ULP mode
  * Cannot probe sata disk on sata controller behind VMD: ata1.00: failed to
    IDENTIFY (I/O error, err_mask=0x4) (LP: #1894778)
    - PCI: vmd: Offset Client VMD MSI-X vectors
  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7
  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device
  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID
  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages
  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test
  * [UBUNTU 21.04] vfio: pass DMA availability information to userspace
    (LP: #1907421)
    - vfio/type1: Refactor vfio_iommu_type1_ioctl()
    - vfio iommu: Add dma available capability
  * qede: Kubernetes Internal DN...

Changed in linux-azure (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (40.2 KiB)

This bug was fixed in the package linux-azure-4.15 - 4.15.0-1108.120

---------------
linux-azure-4.15 (4.15.0-1108.120) bionic; urgency=medium

  * bionic/linux-azure-4.15: 4.15.0-1108.120 -proposed tracker (LP: #1915371)

  * Add XDP support to hv_netvsc driver (LP: #1877654)
    - hv_netvsc: pass netvsc_device to receive callback
    - xdp: base API for new XDP rx-queue info concept
    - ixgbe: setup xdp_rxq_info
    - xdp/qede: setup xdp_rxq_info and intro xdp_rxq_info_is_reg
    - tun: setup xdp_rxq_info
    - virtio_net: setup xdp_rxq_info
    - xdp: generic XDP handling of xdp_rxq_info
    - tun/tap: use ptr_ring instead of skb_array
    - tuntap: XDP transmission
    - net: avoid including xdp.h in filter.h
    - virtio_net: fix ndo_xdp_xmit crash towards dev not ready for XDP
    - tuntap: XDP_TX can use native XDP
    - i40e: add support for XDP_REDIRECT
    - xdp: introduce xdp_return_frame API and use in cpumap
    - ixgbe: use xdp_return_frame API
    - xdp: move struct xdp_buff from filter.h to xdp.h
    - xdp: introduce a new xdp_frame type
    - tun: convert to use generic xdp_frame and xdp_return_frame API
    - virtio_net: convert to use generic xdp_frame and xdp_return_frame API
    - bpf: cpumap convert to use generic xdp_frame
    - i40e: convert to use generic xdp_frame and xdp_return_frame API
    - xdp: rhashtable with allocator ID to pointer mapping
    - page_pool: refurbish version of page_pool code
    - xdp: allow page_pool as an allocator type in xdp_return_frame
    - xdp: transition into using xdp_frame for return API
    - xdp: transition into using xdp_frame for ndo_xdp_xmit
    - xsk: add user memory registration support sockopt
    - xsk: add umem fill queue support and mmap
    - xsk: add Rx queue setup and mmap support
    - xsk: add support for bind for Rx
    - xsk: add Rx receive functions and poll support
    - bpf: devmap introduce dev_map_enqueue
    - bpf: devmap prepare xdp frames for bulking
    - xdp: introduce xdp_return_frame_rx_napi
    - xdp: add MEM_TYPE_ZERO_COPY
    - hv_netvsc: Add support for LRO/RSC in the vSwitch
    - hv_netvsc: Refactor assignments of struct netvsc_device_info
    - hv_netvsc: Add XDP support
    - hv_netvsc: Update document for XDP support
    - hv_netvsc: Fix XDP refcnt for synthetic and VF NICs

  * Sync FSGSBASE patches in azure kernel with mainline (LP: #1913294)
    - x86/kvm/vmx: read MSR_{FS, KERNEL_GS}_BASE from current->thread
    - x86/process/64: Make save_fsgs_for_kvm() ready for FSGSBASE
    - x86/entry/64: Do not use RDPID in paranoid entry to accomodate KVM

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config] azure: Disable ATARI_PARTITION

  * Enable boot from NVMe device for all images (LP: #1908571)
    - [Config] azure: CONFIG_PCI_HYPERV=y

  [ Ubuntu: 4.15.0-136.140 ]

  * bionic/linux: 4.15.0-136.140 -proposed tracker (LP: #1913117)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions
  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms...

Changed in linux-azure-4.15 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (40.5 KiB)

This bug was fixed in the package linux-azure - 4.15.0-1108.120~16.04.1

---------------
linux-azure (4.15.0-1108.120~16.04.1) xenial; urgency=medium

  * xenial/linux-azure: 4.15.0-1108.120~16.04.1 -proposed tracker (LP: #1915370)

  * Enable boot from NVMe device for all images (LP: #1908571)
    - [Config] azure: Remove pci-hyperv from module list

  * stop building nvidia dkms on kernels with no lrm (LP: #1910749)
    - [Packaging]: Stop building nvidia dkms

  [ Ubuntu: 4.15.0-1108.120 ]

  * bionic/linux-azure-4.15: 4.15.0-1108.120 -proposed tracker (LP: #1915371)
  * Add XDP support to hv_netvsc driver (LP: #1877654)
    - hv_netvsc: pass netvsc_device to receive callback
    - xdp: base API for new XDP rx-queue info concept
    - ixgbe: setup xdp_rxq_info
    - xdp/qede: setup xdp_rxq_info and intro xdp_rxq_info_is_reg
    - tun: setup xdp_rxq_info
    - virtio_net: setup xdp_rxq_info
    - xdp: generic XDP handling of xdp_rxq_info
    - tun/tap: use ptr_ring instead of skb_array
    - tuntap: XDP transmission
    - net: avoid including xdp.h in filter.h
    - virtio_net: fix ndo_xdp_xmit crash towards dev not ready for XDP
    - tuntap: XDP_TX can use native XDP
    - i40e: add support for XDP_REDIRECT
    - xdp: introduce xdp_return_frame API and use in cpumap
    - ixgbe: use xdp_return_frame API
    - xdp: move struct xdp_buff from filter.h to xdp.h
    - xdp: introduce a new xdp_frame type
    - tun: convert to use generic xdp_frame and xdp_return_frame API
    - virtio_net: convert to use generic xdp_frame and xdp_return_frame API
    - bpf: cpumap convert to use generic xdp_frame
    - i40e: convert to use generic xdp_frame and xdp_return_frame API
    - xdp: rhashtable with allocator ID to pointer mapping
    - page_pool: refurbish version of page_pool code
    - xdp: allow page_pool as an allocator type in xdp_return_frame
    - xdp: transition into using xdp_frame for return API
    - xdp: transition into using xdp_frame for ndo_xdp_xmit
    - xsk: add user memory registration support sockopt
    - xsk: add umem fill queue support and mmap
    - xsk: add Rx queue setup and mmap support
    - xsk: add support for bind for Rx
    - xsk: add Rx receive functions and poll support
    - bpf: devmap introduce dev_map_enqueue
    - bpf: devmap prepare xdp frames for bulking
    - xdp: introduce xdp_return_frame_rx_napi
    - xdp: add MEM_TYPE_ZERO_COPY
    - hv_netvsc: Add support for LRO/RSC in the vSwitch
    - hv_netvsc: Refactor assignments of struct netvsc_device_info
    - hv_netvsc: Add XDP support
    - hv_netvsc: Update document for XDP support
    - hv_netvsc: Fix XDP refcnt for synthetic and VF NICs
  * Sync FSGSBASE patches in azure kernel with mainline (LP: #1913294)
    - x86/kvm/vmx: read MSR_{FS, KERNEL_GS}_BASE from current->thread
    - x86/process/64: Make save_fsgs_for_kvm() ready for FSGSBASE
    - x86/entry/64: Do not use RDPID in paranoid entry to accomodate KVM
  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config] azure: Disable ATARI_PARTITION
  * Enable boot from NVMe device for all images (LP: #1908571)
    - [Config] azure: CONFIG_PCI_HYPERV=y
  * bionic/linux: 4.15.0-136.14...

Changed in linux-azure (Ubuntu Xenial):
status: Invalid → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (149.7 KiB)

This bug was fixed in the package linux-azure - 5.8.0-1024.26+21.04.1

---------------
linux-azure (5.8.0-1024.26+21.04.1) hirsute; urgency=medium

  * hirsute/linux-azure: 5.8.0-1024.26+21.04.1 -proposed tracker (LP: #1916129)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  [ Ubuntu: 5.8.0-1024.26 ]

  * groovy/linux-azure: 5.8.0-1024.26 -proposed tracker (LP: #1916130)
  * Azure kernel for focal misses binder and ashmem kernel modules
    (LP: #1914568)
    - [Config] Enable CONFIG_ASHMEM=m, CONFIG_ANDROID_BINDER_IPC=m
    - azure: [Config] Disable ION
  * Please trust Canonical Livepatch Service kmod signing key (LP: #1898716)
    - azure: [Config] enable CONFIG_MODVERSIONS=y
    - azure: [Packaging] build canonical-certs.pem from branch/arch certs
    - azure: [Config] Allow ASM_MODVERSIONS
  * groovy/linux: 5.8.0-45.51 -proposed tracker (LP: #1916143)
  * Please trust Canonical Livepatch Service kmod signing key (LP: #1898716)
    - [Config] enable CONFIG_MODVERSIONS=y
    - [Packaging] build canonical-certs.pem from branch/arch certs
    - [Config] add Canonical Livepatch Service key to SYSTEM_TRUSTED_KEYS
    - [Config] add ubuntu-drivers key to SYSTEM_TRUSTED_KEYS
    - [Config] Allow ASM_MODVERSIONS and MODULE_REL_CRCS
  * CVE-2021-20194
    - bpf, cgroup: Fix optlen WARN_ON_ONCE toctou
    - bpf, cgroup: Fix problematic bounds check
  * Missing device id for Intel TGL-H ISH [8086:43fc] in intel-ish-hid driver
    (LP: #1914543)
    - HID: intel-ish-hid: ipc: Add Tiger Lake H PCI device ID
  * Prevent thermal shutdown during boot process (LP: #1906168)
    - thermal/core: Emit a warning if the thermal zone is updated without ops
    - thermal/core: Add critical and hot ops
    - thermal/drivers/acpi: Use hot and critical ops
    - thermal/drivers/rcar: Remove notification usage
    - thermal: int340x: Fix unexpected shutdown at critical temperature
    - thermal: intel: pch: Fix unexpected shutdown at critical temperature
  * geneve overlay network on vlan interface broken with offload enabled
    (LP: #1914447)
    - net/mlx5e: Fix SWP offsets when vlan inserted by driver
  * Groovy update: upstream stable patchset 2021-02-11 (LP: #1915473)
    - net: cdc_ncm: correct overhead in delayed_ndp_size
    - net: hns3: fix the number of queues actually used by ARQ
    - net: hns3: fix a phy loopback fail issue
    - net: stmmac: dwmac-sun8i: Balance internal PHY resource references
    - net: stmmac: dwmac-sun8i: Balance internal PHY power
    - net: vlan: avoid leaks on register_vlan_dev() failures
    - net/sonic: Fix some resource leaks in error handling paths
    - net: ipv6: fib: flush exceptions when purging route
    - tools: selftests: add test for changing routes with PTMU exceptions
    - net: fix pmtu check in nopmtudisc mode
    - net: ip: always refragment ip defragmented packets
    - octeontx2-af: fix memory leak of lmac and lmac->name
    - nexthop: Fix off-by-one error in error path
    - nexthop: Unlink nexthop group entry in error path
    - s390/qeth: fix L2 header access in qeth_l3_osa_features_check()
    - net: dsa: lantiq_gswip: Exclude RMII from modes that report 1 GbE
    - net/mlx5: Us...

Changed in linux-azure (Ubuntu Hirsute):
status: Invalid → Fix Released
no longer affects: linux-gkeop (Ubuntu Xenial)
no longer affects: linux-gkeop (Ubuntu Bionic)
no longer affects: linux-gkeop (Ubuntu Groovy)
no longer affects: linux-gkeop (Ubuntu Hirsute)
no longer affects: linux-oracle (Ubuntu Xenial)
no longer affects: linux-gke (Ubuntu Xenial)
no longer affects: linux-gcp (Ubuntu Xenial)
no longer affects: linux-gke (Ubuntu Hirsute)
no longer affects: linux-gke (Ubuntu Groovy)
no longer affects: linux-gke (Ubuntu Bionic)
Changed in linux-gcp (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux-gcp (Ubuntu Focal):
status: New → Fix Committed
Changed in linux-gcp (Ubuntu Groovy):
status: New → Fix Committed
Changed in linux-gke (Ubuntu Focal):
status: New → Fix Committed
Changed in linux-gkeop (Ubuntu Focal):
status: New → Fix Committed
Changed in linux-oracle (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux-oracle (Ubuntu Focal):
status: New → Fix Committed
Changed in linux-oracle (Ubuntu Groovy):
status: New → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (20.3 KiB)

This bug was fixed in the package linux-oracle - 4.15.0-1071.79

---------------
linux-oracle (4.15.0-1071.79) bionic; urgency=medium

  * bionic/linux-oracle: 4.15.0-1071.79 -proposed tracker (LP: #1923804)

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config]: Disable ATARI_PARTITION

  [ Ubuntu: 4.15.0-143.147 ]

  * bionic/linux: 4.15.0-143.147 -proposed tracker (LP: #1923811)
  * CVE-2021-29650
    - netfilter: x_tables: Use correct memory barriers.
  * LRMv4: switch to signing nvidia modules via the Ubuntu Modules signing key
    (LP: #1918134)
    - [Packaging] dkms-build{,--nvidia-N} sync back from LRMv4
  * Security-Fix Xen XSA 371 for Kernel 5.4.0-71 (LP: #1921902) //
    CVE-2021-28688
    - xen-blkback: don't leak persistent grants from xen_blkbk_map()
  * CVE-2021-20292
    - drm/ttm/nouveau: don't call tt destroy callback on alloc failure.
  * CVE-2021-29264
    - gianfar: fix jumbo packets+napi+rx overrun crash
  * CVE-2021-29265
    - usbip: fix stub_dev usbip_sockfd_store() races leading to gpf
  * Bcache bypasse writeback on caching device with fragmentation (LP: #1900438)
    - bcache: consider the fragmentation when update the writeback rate
  * Bionic update: upstream stable patchset 2021-03-31 (LP: #1922124)
    - net: usb: qmi_wwan: support ZTE P685M modem
    - scripts: use pkg-config to locate libcrypto
    - scripts: set proper OpenSSL include dir also for sign-file
    - hugetlb: fix update_and_free_page contig page struct assumption
    - drm/virtio: use kvmalloc for large allocations
    - virtio/s390: implement virtio-ccw revision 2 correctly
    - arm64 module: set plt* section addresses to 0x0
    - arm64: Avoid redundant type conversions in xchg() and cmpxchg()
    - arm64: cmpxchg: Use "K" instead of "L" for ll/sc immediate constraint
    - arm64: Use correct ll/sc atomic constraints
    - JFS: more checks for invalid superblock
    - media: mceusb: sanity check for prescaler value
    - xfs: Fix assert failure in xfs_setattr_size()
    - smackfs: restrict bytes count in smackfs write functions
    - net: fix up truesize of cloned skb in skb_prepare_for_shift()
    - mm/hugetlb.c: fix unnecessary address expansion of pmd sharing
    - net: bridge: use switchdev for port flags set through sysfs too
    - dt-bindings: net: btusb: DT fix s/interrupt-name/interrupt-names/
    - staging: fwserial: Fix error handling in fwserial_create
    - x86/reboot: Add Zotac ZBOX CI327 nano PCI reboot quirk
    - vt/consolemap: do font sum unsigned
    - wlcore: Fix command execute failure 19 for wl12xx
    - pktgen: fix misuse of BUG_ON() in pktgen_thread_worker()
    - ath10k: fix wmi mgmt tx queue full due to race condition
    - x86/build: Treat R_386_PLT32 relocation as R_386_PC32
    - Bluetooth: Fix null pointer dereference in amp_read_loc_assoc_final_data
    - staging: most: sound: add sanity check for function argument
    - media: uvcvideo: Allow entities with no pads
    - f2fs: handle unallocated section and zone on pinned/atgc
    - parisc: Bump 64-bit IRQ stack size to 64 KB
    - Xen/gnttab: handle p2m update errors on a per-slot basis
    - xen-netback: respect gnttab_map_refs()'...

Changed in linux-oracle (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (40.9 KiB)

This bug was fixed in the package linux-gcp - 5.4.0-1043.46

---------------
linux-gcp (5.4.0-1043.46) focal; urgency=medium

  * focal/linux-gcp: 5.4.0-1043.46 -proposed tracker (LP: #1923765)

  * Focal update: v5.4.106 upstream stable release (LP: #1920246)
    - [Config] gcp: update abi for rc-cec

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config]: Disable ATARI_PARTITION

  [ Ubuntu: 5.4.0-73.82 ]

  * focal/linux: 5.4.0-73.82 -proposed tracker (LP: #1923781)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * CIFS DFS entries not accessible with 5.4.0-71.74-generic (LP: #1923670)
    - Revert "cifs: Set CIFS_MOUNT_USE_PREFIX_PATH flag on setting
      cifs_sb->prepath."
  * CVE-2021-29650
    - Revert "netfilter: x_tables: Update remaining dereference to RCU"
    - Revert "netfilter: x_tables: Switch synchronization to RCU"
    - netfilter: x_tables: Use correct memory barriers.
  * LRMv4: switch to signing nvidia modules via the Ubuntu Modules signing key
    (LP: #1918134)
    - [Packaging] dkms-build{,--nvidia-N} sync back from LRMv4
  * 5.4 kernel: when iommu is on crashdump fails (LP: #1922738)
    - iommu/vt-d: Refactor find_domain() helper
    - iommu/vt-d: Add attach_deferred() helper
    - iommu/vt-d: Move deferred device attachment into helper function
    - iommu/vt-d: Do deferred attachment in iommu_need_mapping()
    - iommu/vt-d: Remove deferred_attach_domain()
    - iommu/vt-d: Simplify check in identity_mapping()
  * Backport mlx5e fix for tunnel offload (LP: #1921769)
    - net/mlx5e: Check tunnel offload is required before setting SWP
  * Bcache bypasse writeback on caching device with fragmentation (LP: #1900438)
    - bcache: consider the fragmentation when update the writeback rate
  * Fix implicit declaration warnings for kselftests/memfd test on newer
    releases (LP: #1910323)
    - selftests/memfd: Fix implicit declaration warnings
  * net/mlx5e: Add missing capability check for uplink follow (LP: #1921104)
    - net/mlx5e: Add missing capability check for uplink follow
  * [UBUNUT 21.04] s390/vtime: fix increased steal time accounting
    (LP: #1921498)
    - s390/vtime: fix increased steal time accounting
  * Mute/Mic-mute LEDs are not work on HP 850/840/440 G8 Laptops (LP: #1920030)
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 840 G8
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 440 G8
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 850 G8
  * Focal update: v5.4.106 upstream stable release (LP: #1920246)
    - uapi: nfnetlink_cthelper.h: fix userspace compilation error
    - powerpc/pseries: Don't enforce MSI affinity with kdump
    - ath9k: fix transmitting to stations in dynamic SMPS mode
    - net: Fix gro aggregation for udp encaps with zero csum
    - net: check if protocol extracted by virtio_net_hdr_set_proto is correct
    - net: avoid infinite loop in mpls_gso_segment when mpls_hlen == 0
    - sh_eth: fix TRSCER mask for SH771x
    - can: skb: can_skb_set_owner(): fix ref counting if socket was closed before
      setting skb ownership
    - can: flexcan: assert FRZ bit in flexcan_chip_freeze()
    - can: flexcan: enable...

Changed in linux-gcp (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (40.9 KiB)

This bug was fixed in the package linux-gke - 5.4.0-1043.45

---------------
linux-gke (5.4.0-1043.45) focal; urgency=medium

  * focal/linux-gke: 5.4.0-1043.45 -proposed tracker (LP: #1923768)

  * Focal update: v5.4.106 upstream stable release (LP: #1920246)
    - [Config] gke: update abi for rc-cec

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config]: Disable ATARI_PARTITION

  [ Ubuntu: 5.4.0-73.82 ]

  * focal/linux: 5.4.0-73.82 -proposed tracker (LP: #1923781)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * CIFS DFS entries not accessible with 5.4.0-71.74-generic (LP: #1923670)
    - Revert "cifs: Set CIFS_MOUNT_USE_PREFIX_PATH flag on setting
      cifs_sb->prepath."
  * CVE-2021-29650
    - Revert "netfilter: x_tables: Update remaining dereference to RCU"
    - Revert "netfilter: x_tables: Switch synchronization to RCU"
    - netfilter: x_tables: Use correct memory barriers.
  * LRMv4: switch to signing nvidia modules via the Ubuntu Modules signing key
    (LP: #1918134)
    - [Packaging] dkms-build{,--nvidia-N} sync back from LRMv4
  * 5.4 kernel: when iommu is on crashdump fails (LP: #1922738)
    - iommu/vt-d: Refactor find_domain() helper
    - iommu/vt-d: Add attach_deferred() helper
    - iommu/vt-d: Move deferred device attachment into helper function
    - iommu/vt-d: Do deferred attachment in iommu_need_mapping()
    - iommu/vt-d: Remove deferred_attach_domain()
    - iommu/vt-d: Simplify check in identity_mapping()
  * Backport mlx5e fix for tunnel offload (LP: #1921769)
    - net/mlx5e: Check tunnel offload is required before setting SWP
  * Bcache bypasse writeback on caching device with fragmentation (LP: #1900438)
    - bcache: consider the fragmentation when update the writeback rate
  * Fix implicit declaration warnings for kselftests/memfd test on newer
    releases (LP: #1910323)
    - selftests/memfd: Fix implicit declaration warnings
  * net/mlx5e: Add missing capability check for uplink follow (LP: #1921104)
    - net/mlx5e: Add missing capability check for uplink follow
  * [UBUNUT 21.04] s390/vtime: fix increased steal time accounting
    (LP: #1921498)
    - s390/vtime: fix increased steal time accounting
  * Mute/Mic-mute LEDs are not work on HP 850/840/440 G8 Laptops (LP: #1920030)
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 840 G8
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 440 G8
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 850 G8
  * Focal update: v5.4.106 upstream stable release (LP: #1920246)
    - uapi: nfnetlink_cthelper.h: fix userspace compilation error
    - powerpc/pseries: Don't enforce MSI affinity with kdump
    - ath9k: fix transmitting to stations in dynamic SMPS mode
    - net: Fix gro aggregation for udp encaps with zero csum
    - net: check if protocol extracted by virtio_net_hdr_set_proto is correct
    - net: avoid infinite loop in mpls_gso_segment when mpls_hlen == 0
    - sh_eth: fix TRSCER mask for SH771x
    - can: skb: can_skb_set_owner(): fix ref counting if socket was closed before
      setting skb ownership
    - can: flexcan: assert FRZ bit in flexcan_chip_freeze()
    - can: flexcan: enable...

Changed in linux-gke (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (41.0 KiB)

This bug was fixed in the package linux-gkeop - 5.4.0-1015.16

---------------
linux-gkeop (5.4.0-1015.16) focal; urgency=medium

  * focal/linux-gkeop: 5.4.0-1015.16 -proposed tracker (LP: #1923770)

  * Focal update: v5.4.106 upstream stable release (LP: #1920246)
    - [Config] gkeop: update abi for rc-cec

  * Disable Atari partition support for cloud kernels (LP: #1908264)
    - [Config]: Disable ATARI_PARTITION

  [ Ubuntu: 5.4.0-73.82 ]

  * focal/linux: 5.4.0-73.82 -proposed tracker (LP: #1923781)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * CIFS DFS entries not accessible with 5.4.0-71.74-generic (LP: #1923670)
    - Revert "cifs: Set CIFS_MOUNT_USE_PREFIX_PATH flag on setting
      cifs_sb->prepath."
  * CVE-2021-29650
    - Revert "netfilter: x_tables: Update remaining dereference to RCU"
    - Revert "netfilter: x_tables: Switch synchronization to RCU"
    - netfilter: x_tables: Use correct memory barriers.
  * LRMv4: switch to signing nvidia modules via the Ubuntu Modules signing key
    (LP: #1918134)
    - [Packaging] dkms-build{,--nvidia-N} sync back from LRMv4
  * 5.4 kernel: when iommu is on crashdump fails (LP: #1922738)
    - iommu/vt-d: Refactor find_domain() helper
    - iommu/vt-d: Add attach_deferred() helper
    - iommu/vt-d: Move deferred device attachment into helper function
    - iommu/vt-d: Do deferred attachment in iommu_need_mapping()
    - iommu/vt-d: Remove deferred_attach_domain()
    - iommu/vt-d: Simplify check in identity_mapping()
  * Backport mlx5e fix for tunnel offload (LP: #1921769)
    - net/mlx5e: Check tunnel offload is required before setting SWP
  * Bcache bypasse writeback on caching device with fragmentation (LP: #1900438)
    - bcache: consider the fragmentation when update the writeback rate
  * Fix implicit declaration warnings for kselftests/memfd test on newer
    releases (LP: #1910323)
    - selftests/memfd: Fix implicit declaration warnings
  * net/mlx5e: Add missing capability check for uplink follow (LP: #1921104)
    - net/mlx5e: Add missing capability check for uplink follow
  * [UBUNUT 21.04] s390/vtime: fix increased steal time accounting
    (LP: #1921498)
    - s390/vtime: fix increased steal time accounting
  * Mute/Mic-mute LEDs are not work on HP 850/840/440 G8 Laptops (LP: #1920030)
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 840 G8
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 440 G8
    - ALSA: hda/realtek: fix mute/micmute LEDs for HP 850 G8
  * Focal update: v5.4.106 upstream stable release (LP: #1920246)
    - uapi: nfnetlink_cthelper.h: fix userspace compilation error
    - powerpc/pseries: Don't enforce MSI affinity with kdump
    - ath9k: fix transmitting to stations in dynamic SMPS mode
    - net: Fix gro aggregation for udp encaps with zero csum
    - net: check if protocol extracted by virtio_net_hdr_set_proto is correct
    - net: avoid infinite loop in mpls_gso_segment when mpls_hlen == 0
    - sh_eth: fix TRSCER mask for SH771x
    - can: skb: can_skb_set_owner(): fix ref counting if socket was closed before
      setting skb ownership
    - can: flexcan: assert FRZ bit in flexcan_chip_freeze()
    - can: flexcan...

Changed in linux-gkeop (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (43.9 KiB)

This bug was fixed in the package linux-oracle - 5.4.0-1045.49

---------------
linux-oracle (5.4.0-1045.49) focal; urgency=medium

  * focal/linux-oracle: 5.4.0-1045.49 -proposed tracker (LP: #1926814)

  * arm64 support (LP: #1925421)
    - [config] oracle: Bring-up for arm64 support
    - SAUCE: perf/smmuv3: Allow sharing MMIO registers with the SMMU driver
    - SAUCE: arm64: Split the old READ_IMPLIES_EXEC workaround from executable
    - mm/memory-failure: Add memory_failure_queue_kick()
    - ACPI: APEI: Kick the memory_failure() queue for synchronous errors
    - perf: Add Arm CMN-600 PMU driver
    - perf: Add Arm CMN-600 DT binding
    - PCI/ACPI: Add Ampere Altra SOC MCFG quirk
    - mm: memblock: replace dereferences of memblock_region.nid with API calls
    - mm: make early_pfn_to_nid() and related defintions close to each other
    - mm: remove CONFIG_HAVE_MEMBLOCK_NODE_MAP option
    - mm: free_area_init: use maximal zone PFNs rather than zone sizes
    - mm: use free_area_init() instead of free_area_init_nodes()
    - alpha: simplify detection of memory zone boundaries
    - arm: simplify detection of memory zone boundaries
    - arm64: simplify detection of memory zone boundaries for UMA configs
    - csky: simplify detection of memory zone boundaries
    - m68k: mm: simplify detection of memory zone boundaries
    - parisc: simplify detection of memory zone boundaries
    - sparc32: simplify detection of memory zone boundaries
    - unicore32: simplify detection of memory zone boundaries
    - xtensa: simplify detection of memory zone boundaries
    - mm: memmap_init: iterate over memblock regions rather that check each PFN
    - mm/page_alloc.c: initialize memmap of unavailable memory directly
    - mm: pass migratetype into memmap_init_zone() and move_pfn_range_to_zone()
    - mm: rename memmap_init() and memmap_init_zone()
    - mm: simplify parater of function memmap_init_zone()
    - mm/page_alloc.c: refactor initialization of struct page for holes in memory
      layout
    - mm: remove early_pfn_in_nid() and CONFIG_NODES_SPAN_OTHER_NODES
    - mm: free_area_init: allow defining max_zone_pfn in descending order
    - arc: fix memory initialization for systems with two memory banks
    - mm: rename free_area_init_node() to free_area_init_memoryless_node()
    - mm: clean up free_area_init_node() and its helpers
    - mm: simplify find_min_pfn_with_active_regions()
    - docs/vm: update memory-models documentation
    - SAUCE: hwmon: Add Ampere Altra HW monitor driver
    - arm64: NUMA: Kconfig: Increase NODES_SHIFT to 4
    - driver/perf: Add PMU driver for the ARM DMC-620 memory controller
    - perf/arm_dmc620_pmu: Fix error return code in dmc620_pmu_device_probe()
    - perf: arm_dsu: Support DSU ACPI devices
    - SAUCE: perf: arm_dsu: Allow IRQ to be shared among devices.
    - Perf: arm-cmn: Allow irq to be shared.
    - perf: arm-cmn: Fix unsigned comparison to less than zero
    - perf/arm-cmn: Fix PMU instance naming
    - perf/arm-cmn: Move IRQs when migrating context
    - [config] Disable vbox dkms for arm64

linux-oracle (5.4.0-1044.47) focal; urgency=medium

  * focal/linux-oracle: 5.4.0-1044.47 -proposed ...

Changed in linux-oracle (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-gcp - 5.8.0-1031.32

---------------
linux-gcp (5.8.0-1031.32) groovy; urgency=medium

  [ Ubuntu: 5.8.0-53.60 ]

  * CVE-2021-3491
    - io_uring: fix provide_buffers sign extension
    - io_uring: fix overflows checks in provide buffers
    - SAUCE: proc: Avoid mixing integer types in mem_rw()
    - SAUCE: io_uring: truncate lengths larger than MAX_RW_COUNT on provide
      buffers
  * CVE-2021-3490
    - bpf: Fix a verifier failure with xor
    - SAUCE: bpf: verifier: fix ALU32 bounds tracking with bitwise ops
  * CVE-2021-3489
    - SAUCE: bpf: ringbuf: deny reserve of buffers larger than ringbuf
    - SAUCE: bpf: prevent writable memory-mapping of read-only ringbuf pages

 -- Stefan Bader <email address hidden> Thu, 06 May 2021 10:32:39 +0200

Changed in linux-gcp (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oracle - 5.8.0-1029.30

---------------
linux-oracle (5.8.0-1029.30) groovy; urgency=medium

  [ Ubuntu: 5.8.0-53.60 ]

  * CVE-2021-3491
    - io_uring: fix provide_buffers sign extension
    - io_uring: fix overflows checks in provide buffers
    - SAUCE: proc: Avoid mixing integer types in mem_rw()
    - SAUCE: io_uring: truncate lengths larger than MAX_RW_COUNT on provide
      buffers
  * CVE-2021-3490
    - bpf: Fix a verifier failure with xor
    - SAUCE: bpf: verifier: fix ALU32 bounds tracking with bitwise ops
  * CVE-2021-3489
    - SAUCE: bpf: ringbuf: deny reserve of buffers larger than ringbuf
    - SAUCE: bpf: prevent writable memory-mapping of read-only ringbuf pages

 -- Stefan Bader <email address hidden> Thu, 06 May 2021 11:26:55 +0200

Changed in linux-oracle (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote :

The Groovy Gorilla has reached end of life, so this bug will not be fixed for that release

Changed in linux-aws (Ubuntu Groovy):
status: Fix Committed → Won't Fix
Revision history for this message
Brian Murray (brian-murray) wrote :

The Hirsute Hippo has reached End of Life, so this bug will not be fixed for that release.

Changed in linux-aws (Ubuntu Hirsute):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers